---
- name: Identificando se o Jenkins está bloqueado com a senha inicial
  stat:
    path: "{{ user_vars.install.home }}/secrets/initialAdminPassword"
  register: initial_admin_secret_path
  become: true
  tags: 
    - always

- name: Armazenando token de autenticacao na sessao
  command: "cat {{ user_vars.install.home }}/secrets/initialAdminPassword"
  register: initial_jenkins_secret
  when: initial_admin_secret_path.stat.exists
  become: true
  tags:
    - always

- name: Atualizando senha do administrador no Jenkins para liberação do servidor 
  shell: echo 'jenkins.model.Jenkins.instance.securityRealm.createAccount("admin", "{{ secret_admin }}")' | java -jar {{ jenkins_cli_path }} -auth admin:"{{ initial_jenkins_secret.stdout }}" -s "http://{{ jenkins_endpoint }}:8080" groovy =
  when: initial_admin_secret_path.stat.exists and secret_admin
  tags:
    - always

- name: Removendo path com senha inicial do jenkins
  file: 
    path: "{{ user_vars.install.home }}/secrets/initialAdminPassword"
    state: absent
  when: initial_admin_secret_path.stat.exists
  become: true
  tags:
    - always